Subject: bug#29889: 27.0.50; Slow visual selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 May 2022 14:03:29 +0300

> From: Po Lu <[email-masked]>
> Cc: Sujith <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Fri, 20 May 2022 16:35:46 +0800
> 
> We could have a new value of `select-active-regions' that tells Emacs to
> set the primary selections to buffer positions if the active region is
> not temporary, thereby avoiding the unreasonably high amount of string
> consing.

What will happen if the buffer text changes between the time the
active region is defined and the time some other program requests the
selection?